Package org.springframework.security.web.server.authorization

# Class ExceptionTranslationWebFilter

java.lang.Object
org.springframework.security.web.server.authorization.ExceptionTranslationWebFilter

All Implemented Interfaces:
  `org.springframework.web.server.WebFilter`

public class ExceptionTranslationWebFilter extends Object implements org.springframework.web.server.WebFilter

Since:
  5.0

## Constructor Summary

Constructors
Constructor
Description
`ExceptionTranslationWebFilter()`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`filter(org.springframework.web.server.ServerWebExchange exchange, org.springframework.web.server.WebFilterChain chain)`
`void`
`setAccessDeniedHandler(ServerAccessDeniedHandler accessDeniedHandler)`
Sets the access denied handler.
`void`
`setAuthenticationEntryPoint(ServerAuthenticationEntryPoint authenticationEntryPoint)`
Sets the authentication entry point used when authentication is required
`void`
`setAuthenticationTrustResolver(org.springframework.security.authentication.AuthenticationTrustResolver authenticationTrustResolver)`
Sets the authentication trust resolver.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExceptionTranslationWebFilter

public ExceptionTranslationWebFilter()

## Method Details

### filter

public reactor.core.publisher.Mono<Void> filter(org.springframework.web.server.ServerWebExchange exchange, org.springframework.web.server.WebFilterChain chain)

Specified by:
  `filter` in interface `org.springframework.web.server.WebFilter`

### setAccessDeniedHandler

public void setAccessDeniedHandler(ServerAccessDeniedHandler accessDeniedHandler)
Sets the access denied handler.

Parameters:
  `accessDeniedHandler` - the access denied handler to use. Default is HttpStatusAccessDeniedHandler with HttpStatus.FORBIDDEN

### setAuthenticationEntryPoint

public void setAuthenticationEntryPoint(ServerAuthenticationEntryPoint authenticationEntryPoint)
Sets the authentication entry point used when authentication is required

Parameters:
  `authenticationEntryPoint` - the authentication entry point to use. Default is `HttpBasicServerAuthenticationEntryPoint`

### setAuthenticationTrustResolver

public void setAuthenticationTrustResolver(org.springframework.security.authentication.AuthenticationTrustResolver authenticationTrustResolver)
Sets the authentication trust resolver.

Parameters:
  `authenticationTrustResolver` - the authentication trust resolver to use. Default is `AuthenticationTrustResolverImpl`
Since:
  5.5